 
%global git_date    20141007
%global git_commit  a9a1d05

Name:           kmix
Version:        4.97.0
Release:        1.%{git_date}git%{git_commit}%{?dist}
Summary:        KDE volume control

License:        GPLv2+
URL:            http://www.kde.org

# git clone git://anongit.kde.org/kmix.git
# cd kmix
# git archive --format=tar.gz --output=kmix-%%{git_commit}.tar.gz --prefix=kmix-%%{git_commit}/ %%{git_commit} .
Source0:        kmix-%{git_commit}.tar.gz

Patch0:         kmix-find-canberra.patch

BuildRequires:  qt5-qtbase-devel

BuildRequires:  phonon-qt5-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kiconthemes-devel

BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libcanberra-devel
BuildRequires:  alsa-lib-devel


Requires:       kf5-filesystem
Requires:       kio-extras

%description
%{summary}.

%prep
%setup -q -n %{name}-%{git_commit}

%patch0 -p1 -b .canberra

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. -DKMIX_KF5_BUILD=TRUE
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING COPYING.DOC COPYING.LIB AUTHORS
%{_bindir}/kmix
%{_bindir}/kmixctrl
%{_bindir}/kmixremote
%{_libdir}/libkdeinit5_kmix.so
%{_libdir}/libkdeinit5_kmixctrl.so
%{_kf5_qtplugindir}/libkded_kmixd.so
%{_kf5_datadir}/kservices5/kded/kmixd.desktop
%{_kf5_datadir}/kservices5/*.desktop
%{_datadir}/kmix
%{_datadir}/icons/*/*/*/kmix.png
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/applications/kmix.desktop
%{_sysconfdir}/xdg/autostart/*.desktop

%changelog
* Tue Oct 07 2014 Daniel Vrátil <dvratil@redhat.com> - 4.97.0-20141007gita9a1d05
- Initial version
